------------------------------------------------------------------------------
--                                                                          --
--                         GNAT COMPILER COMPONENTS                         --
--                                                                          --
--                              B I N D G E N                               --
--                                                                          --
--                                 S p e c                                  --
--                                                                          --
--          Copyright (C) 1992-2019, Free Software Foundation, Inc.         --
--                                                                          --
-- GNAT is free software;  you can  redistribute it  and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 3,  or (at your option) any later ver- --
-- sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License  distributed with GNAT; see file COPYING3.  If not, go to --
-- http://www.gnu.org/licenses for a complete copy of the license.          --
--                                                                          --
-- GNAT was originally developed  by the GNAT team at  New York University. --
-- Extensive contributions were provided by Ada Core Technologies Inc.      --
--                                                                          --
------------------------------------------------------------------------------

--  This package contains the routines to output the binder file. This is
--  an Ada program which contains the following:

--     Initialization for main program case
--     Sequence of calls to elaboration routines in appropriate order
--     Call to main program for main program case

--  See the body for exact details of the file that is generated

with ALI; use ALI;

package Bindgen is
   procedure Gen_Output_File
     (Filename   : String;
      Elab_Order : Unit_Id_Array);
   --  Filename is the full path name of the binder output file

   procedure Set_Bind_Env (Key, Value : String);
   --  Add (Key, Value) pair to bind environment. These associations
   --  are made available at run time using System.Bind_Environment.

end Bindgen;
